> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Receivable Refunds

> Search receivable refunds



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/refunds/search
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/refunds/search:
    get:
      tags:
        - cashin
      summary: Search collecting document refund
      description: Search collecting document refund by IDs
      operationId: TrioFoundationWeb.Banking.Cashin.RefundController.search
      parameters:
        - description: End To End ID
          in: query
          name: end_to_end_id
          required: false
          schema:
            type: string
        - description: External ID
          in: query
          name: external_id
          required: false
          schema:
            type: string
        - description: From datetime
          in: query
          name: from_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Collecting_document_refund_response'
          description: Refund
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Collecting_document_refund_response:
      description: Collecting document refund response
      example:
        amount:
          amount: 100
          currency: BRL
        bank_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
        collecting_document_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
        description: description
        end_to_end_id: E44444444202405211946Dwg1pjxgehP
        entity_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
        external_id: external_id
        id: 018f9cb0-8d11-f5da-31a1-0c243407d6d3
        origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
        origin_type: none
        receipt_url: >-
          https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033
        reconciliation_id: null
        stages:
          - error_code: null
            error_message: null
            id: 018f9cb0-8d37-031e-8b99-bac2919a5033
            inserted_at: '2024-05-21T19:46:07.285344Z'
            status: created
        status: created
        timestamp: '2024-05-21T19:46:07.249436Z'
        transaction_date: null
        virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
      properties:
        amount:
          description: Amount
          properties:
            amount:
              description: Amount integer
              type: integer
            currency:
              description: Amount currency string
              type: string
          type: object
        bank_account_id:
          description: Bank account ID
          format: uuid
          type: string
        collecting_document_id:
          description: Collecting document ID
          format: uuid
          type: string
        counterparty:
          $ref: '#/components/schemas/Collecting_refund_counterparty'
        counterparty_bank_account:
          $ref: '#/components/schemas/Collecting_refund_counterparty_bank_account'
        description:
          description: Description
          type: string
        end_to_end_id:
          description: End to end ID
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        external_id:
          description: External ID
          type: string
        id:
          description: Refund document ID
          format: uuid
          type: string
        origin_id:
          description: Origin ID
          format: uuid
          type: string
        origin_type:
          description: Origin type
          type: string
        receipt_url:
          description: Receipt URL
          type: string
        reconciliation_id:
          description: Reconciliation ID
          format: uuid
          type: string
        stages:
          description: Refund document stages
          items:
            $ref: '#/components/schemas/Refund_document_stage_list_response'
          type: array
        status:
          description: Refund document status
          type: string
        timestamp:
          description: Refund document timestamp
          format: date-time
          type: string
        transaction_date:
          description: Refund document transaction date
          format: date-time
          type: string
        virtual_account_id:
          description: Virtual account ID
          format: uuid
          type: string
      title: Collecting document refund response
      type: object
    Collecting_refund_counterparty:
      description: Collecting refund counterparty
      properties:
        name:
          description: Counterparty name
          type: string
        tax_number:
          description: Counterparty tax number
          type: string
      title: Collecting refund counterparty
      type: object
    Collecting_refund_counterparty_bank_account:
      description: Collecting refund counterparty
      properties:
        digit:
          description: Counterparty bank account digit
          type: string
        ispb:
          description: Counterparty bank account ispb
          type: string
        number:
          description: Counterparty bank account number
          type: string
        type:
          description: Counterparty bank account type
          type: string
      title: Collecting refund counterparty bank account
      type: object
    Refund_document_stage_list_response:
      description: Refund document stage list response
      items:
        $ref: '#/components/schemas/Refund_document_stage_response'
      title: Refund document stage list response
      type: array
    Refund_document_stage_response:
      description: Refund document stage response
      properties:
        error_code:
          description: Refund document stage error code when present
          type: string
        error_message:
          description: Refund document stage error message when present
          type: string
        id:
          description: Refund document stage ID
          format: uuid
          type: string
        status:
          $ref: '#/components/schemas/Refund_document_status'
        timestamp:
          description: Refund document stage timestamp
          format: date-time
          type: string
      title: Refund document stage response
      type: object
    Refund_document_status:
      description: Refund document status
      enum:
        - created
        - confirmed
        - settled
        - refunded
        - reversed
        - failed
      title: Refund document status
      type: string

````